Subject: [dnssd] Supporting draft-sctl-advertising-proxy

From: Qiaoyu Deng <[email-masked]>
Date: Fri, 13 Aug 2021 16:29:57 -0700

Hello,

I'd like to add my support for adopting draft-sctl-advertising-proxy-02 <
https://datatracker.ietf.org/doc/html/draft-sctl-advertising-proxy-02>.

I have read this document carefully and would like to support it. Over the
last year, I have been working with Ted and the implementation of SRP
proxy, and it really solves the problem of allowing old mDNS-capable-only
devices to discover those services that are advertised with unicast-based
SRP.

Comments:
1.
----------
2.1.  Name Conflicts
...
If any of them fail, they must all be removed and the client* is *notified
of the failure.
...
----------

2.
Since the entire document uses terminology "Advertising Proxy" instead of
"advertising proxy", here:
----------
2.1.1.  Name Conflicts in Managed Namespaces
...
a way for the advertising proxy to inform the mDNS service that it
...
----------
"advertising proxy" should be "Advertising Proxy".

Thanks.

---
Qiaoyu(Joey) Deng